
Foreman - Bug #16702

dashboard widgets ignore filters

09/27/2016 07:51 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Dashboard   

Target version: 1.13.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.0

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3892,

https://github.com/theforeman/foreman/p

ull/3910

  

Description

Since #16044 was merged, filters are not passed to the dashboard widgets.

Related issues:

Related to Foreman - Bug #16044: Errors in individual dashboard widgets fail ... Closed 08/10/2016

Has duplicate Foreman - Feature #14424: Allow plugin widgets to hook into the... Duplicate 03/31/2016

Associated revisions

Revision 10bceb16 - 09/27/2016 10:04 AM - Tomer Brisker

Fixes #16702 - pass params to dashboard widgets

Revision 590b8293 - 10/04/2016 07:45 AM - Dominic Cleal

refs #16702 - fix deprecation passing 'controller' etc.

Revision 175099e2 - 10/04/2016 01:32 PM - Tomer Brisker

Fixes #16702 - pass params to dashboard widgets

(cherry picked from commit 10bceb1670c27ba686b885d55daf3810b628c9b9)

Revision 286c5933 - 10/04/2016 01:32 PM - Dominic Cleal

refs #16702 - fix deprecation passing 'controller' etc.

(cherry picked from commit 590b8293c49975d21da9cdfa0cd19c4798b2c584)

History

#1 - 09/27/2016 07:53 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3892 added

#2 - 09/27/2016 07:54 AM - Dominic Cleal

- Related to Bug #16044: Errors in individual dashboard widgets fail entire page added

#3 - 09/27/2016 07:54 AM - Dominic Cleal

- translation missing: en.field_release set to 160

#4 - 09/27/2016 11:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
Applied in changeset 10bceb1670c27ba686b885d55daf3810b628c9b9.

#5 - 10/03/2016 10:49 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/3910 added

#6 - 11/28/2016 05:58 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4061 added

#7 - 11/28/2016 06:00 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/4062 added

#8 - 11/28/2016 11:38 AM - Tomer Brisker

- Pull request deleted (https://github.com/theforeman/foreman/pull/4061, https://github.com/theforeman/foreman/pull/4062)

#9 - 11/29/2016 10:05 AM - Daniel Lobato Garcia

- Target version changed from 1.5.2 to 1.4.3

#10 - 12/13/2016 05:06 AM - Tomer Brisker

- Has duplicate Feature #14424: Allow plugin widgets to hook into the dashboard search box added
